<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::image_dataset_metadata::doc_handler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>image_dataset_metadata</b></li><li class="navelem"><a class="el" href="classdlib_1_1image__dataset__metadata_1_1doc__handler.html">doc_handler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1image__dataset__metadata_1_1doc__handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::image_dataset_metadata::doc_handler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::image_dataset_metadata::doc_handler:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1image__dataset__metadata_1_1doc__handler.png" usemap="#dlib::image_5Fdataset_5Fmetadata::doc_5Fhandler_map" alt=""/>
  <map id="dlib::image_5Fdataset_5Fmetadata::doc_5Fhandler_map" name="dlib::image_5Fdataset_5Fmetadata::doc_5Fhandler_map">
<area href="classdlib_1_1document__handler.html" alt="dlib::document_handler" shape="rect" coords="0,0,252,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6f9aa7726b6a6a954b91bf86ebb8e197"><td class="memItemLeft" align="right" valign="top"><a id="a6f9aa7726b6a6a954b91bf86ebb8e197"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>doc_handler</b> (<a class="el" href="structdlib_1_1image__dataset__metadata_1_1dataset.html">dataset</a> &amp;metadata_)</td></tr>
<tr class="separator:a6f9aa7726b6a6a954b91bf86ebb8e197"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d5b1fa5b0568ae9b0bdd6ed9a2a04b"><td class="memItemLeft" align="right" valign="top"><a id="a46d5b1fa5b0568ae9b0bdd6ed9a2a04b"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>start_document</b> ()</td></tr>
<tr class="separator:a46d5b1fa5b0568ae9b0bdd6ed9a2a04b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd2997d74766b64092a5905575f2650"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1image__dataset__metadata_1_1doc__handler.html#aafd2997d74766b64092a5905575f2650">end_document</a> ()</td></tr>
<tr class="separator:aafd2997d74766b64092a5905575f2650"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ec22e9d4a3be06b9bb1a2363b4e9550"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1image__dataset__metadata_1_1doc__handler.html#a2ec22e9d4a3be06b9bb1a2363b4e9550">start_element</a> (const unsigned long line_number, const std::string &amp;name, const <a class="el" href="classdlib_1_1attribute__list.html">dlib::attribute_list</a> &amp;atts)</td></tr>
<tr class="separator:a2ec22e9d4a3be06b9bb1a2363b4e9550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab75e333b16df2753cba5ace30a46ce08"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1image__dataset__metadata_1_1doc__handler.html#ab75e333b16df2753cba5ace30a46ce08">end_element</a> (const unsigned long, const std::string &amp;name)</td></tr>
<tr class="separator:ab75e333b16df2753cba5ace30a46ce08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aa94b05e00bd086d34316e47e9a2a41"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1image__dataset__metadata_1_1doc__handler.html#a2aa94b05e00bd086d34316e47e9a2a41">characters</a> (const std::string &amp;data)</td></tr>
<tr class="separator:a2aa94b05e00bd086d34316e47e9a2a41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a486f3ea69894d93ad1ad61aff75bd171"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1image__dataset__metadata_1_1doc__handler.html#a486f3ea69894d93ad1ad61aff75bd171">processing_instruction</a> (const unsigned long, const std::string &amp;, const std::string &amp;)</td></tr>
<tr class="separator:a486f3ea69894d93ad1ad61aff75bd171"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1document__handler"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1document__handler')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1document__handler.html">dlib::document_handler</a></td></tr>
<tr class="memitem:a4890047094b51d3b59b1d8816da0f490 inherit pub_methods_classdlib_1_1document__handler"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1document__handler.html#a4890047094b51d3b59b1d8816da0f490">~document_handler</a> ()=0</td></tr>
<tr class="separator:a4890047094b51d3b59b1d8816da0f490 inherit pub_methods_classdlib_1_1document__handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a60c3f7275cc6d112ee74b4d20593c614"><td class="memItemLeft" align="right" valign="top"><a id="a60c3f7275cc6d112ee74b4d20593c614"></a>
std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>ts</b></td></tr>
<tr class="separator:a60c3f7275cc6d112ee74b4d20593c614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37f745f1012effb4a878addda6e8d58c"><td class="memItemLeft" align="right" valign="top"><a id="a37f745f1012effb4a878addda6e8d58c"></a>
<a class="el" href="structdlib_1_1image__dataset__metadata_1_1image.html">image</a>&#160;</td><td class="memItemRight" valign="bottom"><b>temp_image</b></td></tr>
<tr class="separator:a37f745f1012effb4a878addda6e8d58c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a268796f6a7c3815ab6ffe4df3546a7cc"><td class="memItemLeft" align="right" valign="top"><a id="a268796f6a7c3815ab6ffe4df3546a7cc"></a>
<a class="el" href="structdlib_1_1image__dataset__metadata_1_1box.html">box</a>&#160;</td><td class="memItemRight" valign="bottom"><b>temp_box</b></td></tr>
<tr class="separator:a268796f6a7c3815ab6ffe4df3546a7cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51c1e3191fbc5e7027328e9f58af3a58"><td class="memItemLeft" align="right" valign="top"><a id="a51c1e3191fbc5e7027328e9f58af3a58"></a>
<a class="el" href="structdlib_1_1image__dataset__metadata_1_1dataset.html">dataset</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>meta</b></td></tr>
<tr class="separator:a51c1e3191fbc5e7027328e9f58af3a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1document__handler"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1document__handler')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1document__handler.html">dlib::document_handler</a></td></tr>
<tr class="memitem:ac86d69c397ea36a624e7a205c273ff88 inherit pro_methods_classdlib_1_1document__handler"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1document__handler.html">document_handler</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1document__handler.html#ac86d69c397ea36a624e7a205c273ff88">operator=</a> (<a class="el" href="classdlib_1_1document__handler.html">document_handler</a> &amp;)</td></tr>
<tr class="separator:ac86d69c397ea36a624e7a205c273ff88 inherit pro_methods_classdlib_1_1document__handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2aa94b05e00bd086d34316e47e9a2a41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aa94b05e00bd086d34316e47e9a2a41">&#9670;&nbsp;</a></span>characters()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void dlib::image_dataset_metadata::doc_handler::characters </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">requires
    - is called when a closing element tag is encountered. (note that this
      includes tags such as &lt;example_tag/&gt;.  I.e. the previous tag would
      trigger a start_element() callback as well as an end_element() callback)
    - line_number == the line number where the closing tag for this 
      element was encountered and
    - name == the name of the element encountered
</pre><p> ! </p>

<p>Implements <a class="el" href="classdlib_1_1document__handler.html#ae631df380f3bce77c4638e3867c80817">dlib::document_handler</a>.</p>

</div>
</div>
<a id="aafd2997d74766b64092a5905575f2650"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafd2997d74766b64092a5905575f2650">&#9670;&nbsp;</a></span>end_document()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void dlib::image_dataset_metadata::doc_handler::end_document </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">requires
    - is called when the document parsing begins
</pre><p> ! </p>

<p>Implements <a class="el" href="classdlib_1_1document__handler.html#a3d0ad4c7050de2e6adc9ffc4418bfb25">dlib::document_handler</a>.</p>

</div>
</div>
<a id="ab75e333b16df2753cba5ace30a46ce08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab75e333b16df2753cba5ace30a46ce08">&#9670;&nbsp;</a></span>end_element()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void dlib::image_dataset_metadata::doc_handler::end_element </td>
          <td>(</td>
          <td class="paramtype">const unsigned long&#160;</td>
          <td class="paramname"><em>line_number</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">requires
    - is called when an opening element tag is encountered.
    - line_number == the line number where the opening tag for this element 
      was encountered.
    - name == the name of the element encountered 
    - atts == a list containing all the attributes in this element and their 
      associated values
</pre><p> ! </p>

<p>Implements <a class="el" href="classdlib_1_1document__handler.html#a8fee8e96cb06f0505ea63a373e1122bf">dlib::document_handler</a>.</p>

</div>
</div>
<a id="a486f3ea69894d93ad1ad61aff75bd171"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a486f3ea69894d93ad1ad61aff75bd171">&#9670;&nbsp;</a></span>processing_instruction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void dlib::image_dataset_metadata::doc_handler::processing_instruction </td>
          <td>(</td>
          <td class="paramtype">const unsigned long&#160;</td>
          <td class="paramname"><em>line_number</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">requires
    - is called just before we encounter a start_element, end_element, or 
      processing_instruction tag but only if there was data between the 
      last and next tag.  
      (i.e. data will never be "")
    - data == all the normal non-markup data and CDATA between the next and
      last tag in the document.  
</pre><p> ! </p>

<p>Implements <a class="el" href="classdlib_1_1document__handler.html#a4c934ca9464af7c581a87fba216ddbb3">dlib::document_handler</a>.</p>

</div>
</div>
<a id="a2ec22e9d4a3be06b9bb1a2363b4e9550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ec22e9d4a3be06b9bb1a2363b4e9550">&#9670;&nbsp;</a></span>start_element()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void dlib::image_dataset_metadata::doc_handler::start_element </td>
          <td>(</td>
          <td class="paramtype">const unsigned long&#160;</td>
          <td class="paramname"><em>line_number</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classdlib_1_1attribute__list.html">dlib::attribute_list</a> &amp;&#160;</td>
          <td class="paramname"><em>atts</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">requires
    - is called after the document parsing has ended.  note that this
      is always called, even if an error occurs.
</pre><p> ! </p>

<p>Implements <a class="el" href="classdlib_1_1document__handler.html#a64f2924b53fdcd2016eca3945a39c1ea">dlib::document_handler</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>image_dataset_metadata.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
